This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 138632 - useradd - cannot add user with number in username
useradd - cannot add user with number in username
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
3
All Linux
high Severity high
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks: 135876
  Show dependency treegraph
 
Reported: 2004-11-10 07:56 EST by cervajs
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.0.3-40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 15:39:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cervajs 2004-11-10 07:56:22 EST
Description of problem:
after this update 

* Thu Oct 28 2004 Adrian Havill <havill@redhat.com> 2:4.0.3-38

- conform to posix for user/group name input checking [def 3.426
  and 3.189] which is posix portable filename character set [3.276]
  while disallowing dash for first char as recommended, and disallow
  dollar sign)

i cannot add user with number in login name i.e. fx999001

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.update to shadow-utils-4.0.3-38.i386.rpm 
2.try add user with number in login name
3.
  
Actual results:
invalid username

Expected results:
user added

Additional info:
Comment 1 Eido Inoue 2004-11-10 15:39:38 EST
bad bug indeed. set of grouping parens got dropped in the goodname()
func for check of chars 2 to N (so actually, a digit as the 1st char
would work)

pushing to rawhide now

Note You need to log in before you can comment on or make changes to this bug.